Skip to main content
REST API reference
A newer release of this product is available.

Download a software or firmware package

Downloads a software or firmware package from the server to update or install necessary components on your system. This is typically used to ensure your system is running the latest versions, enhancing performance and security.

HTTP method and endpoint

POST /cluster/software/download

Introduced in

ONTAP 9.6

Required properties

  • url - URL location of the software package

  • username - Username of HTTPS/FTP server

  • password - Password of HTTPS/FTP server

  • cluster image package get

Parameters

Name Type In Required Description

return_records

boolean

query

False

The default is false. If set to true, the records are returned.

  • Default value:

return_timeout

integer

query

False

The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.

  • Default value: 0

  • Max value: 120

  • Min value: 0

Request Body

Name Type Description

password

string

Password for download

url

string

HTTP or FTP URL of the package through a server

username

string

Username for download

Example request
{
  "password": "admin_password",
  "url": "http://server/package",
  "username": "admin"
}

Response

Status: 202, Accepted
Name Type Description

job

job_link

Example response
{
  "job": {
    "uuid": "string"
  }
}

Error

Status: Default, Error

Definitions

See Definitions

software_package_download

Name Type Description

password

string

Password for download

url

string

HTTP or FTP URL of the package through a server

username

string

Username for download

href

Name Type Description

href

string

Name Type Description

uuid

string

The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.